Skip to content

Retrieve data for report(s)

You call thislegacyreport

GET
/v1/report
curl --request GET \
--url https://api.zentail.com/v1/report \
--header 'Authorization: Bearer <token>'

This returns a list of Reports (most recent reports first).

createdTs
string

Passing this will only return reports created after createdTs.

pageLength
integer

Passing this will return the number of Reports specified in pageLength

nextToken
string

Passing this will return the next page of a previous call (we will disregard all other parameters provided). You can find nextToken in the response from a previous GET report call.

Success

Media typeapplication/json
object
results
Array<object>
object
reportId
integer
label
string
isExport

If true, this is an export. Otherwise it’s an import.

boolean
requestedTs

Timestamp when the report was requested to be run.

string format: date-time
completedTs

Timestamp when the report was completed.

string format: date-time
columnTypes

Array of the column headers in this report.

Array<string>
status
string
Allowed values: PENDING PROCESSING CANCELED COMPLETE
totalLines

Total number of lines processed successfully.

integer
linesSuccessfullyProcessed
integer
filePath

Path to access the stored file. Use this to download an exported file when it is “COMPLETE”

string
errorMessage

Returns an error message if we ran into an error processing the report.

string
overwriteWithBlank

For imports only: If set to true, blank values supplied in the upload data will overwrite. NULL is equivalent to false.

boolean
createNewProducts

For imports only: If set to true, if a SKU doesn’t exist in zentail we will create one. NULL is equivalent to false.

boolean
activeOnly

For exports only: If set to true, export will only include active products.

boolean
insertOnly

For imports only: If set to true, report will only fill in blank data on Zentail. Any data that already exists on Zentail will not be overwritten by data in the file.

boolean
includeHeader

For exports only: If set to true, export will include a header

boolean
default: true
exportForExcel

For exports only: If set to true, will export as an Excel file.

boolean
filter

For exports only: Use this to pass in filters to restrict the products being exported. See how to write a filter formula here.

string
delimiter

For exports only: We will use this delimiter to separate the data in the export.

string
default: ,
headersOnly

For exports only: If true, this export will only have header rows.

boolean
uploader

If this is null, then the report was created by the API.

string
pagination
object
hasNext

Indicates if there is an additional page. This is true if there is another page, otherwise it is false.

boolean
nextToken

If hasNext is true this provides the full URL for the next page of results.

string format: uri
Example
{
"results": [
{
"isExport": false,
"status": "PENDING",
"overwriteWithBlank": false,
"createNewProducts": false,
"activeOnly": false,
"insertOnly": false,
"includeHeader": true,
"exportForExcel": false,
"delimiter": ",",
"headersOnly": false
}
]
}

Bad Request

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 400
}

Permission Denied

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 403
}

Not Found

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 404
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{
"errorCode": 500
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 503
}

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog